Subject: Re: bug#31990: 26.1; Stuck in loop trying to send bug report

From: Robert Pluim <[email-masked]>
Date: Mon, 20 Aug 2018 11:42:07 +0200

Live System User <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Live System User <[email-masked]>
>>> Cc: [email-masked]
>>> Date: Fri, 10 Aug 2018 04:53:16 -0400
>>> 
>>> >>   It was done manually anew in each session, yes.
>>> >
>>> > Then you should be able to manually set the variables derived from the
>>> > auth file, no?
>>> 
>>>   Unfortunately, no, as there is only the variable `smtpmail-smtp-user'
>>>   and no "smtpmail-smtp-password"-like variable...
>>
>> Then perhaps we should add them.

And then people go 'but I want different values for different
accounts', and weʼre back at the .authinfo solution.

>   Yes, although I would prefer that the solution would be more
>   comprehensive and allow users to make first-time *authenicated*
>   connections instead of retrying (with a subsequent prompt for
>   the password) only after a first-time *unauthenicated* connection
>   failure.
>
>   This would better solve this issue and for bug#26359 as well.
>
>> I do consider yours a very strange use case, btw.
>
>   I do it for my sense of privacy (as little as it may be).

Adding just the smtp username into .authinfo is really that much of an
issue for you? Given that youʼre using initially-unencrypted SMTP
connections, I fail to see the benefit to your privacy.

>   To each's own...

Indeed.

Robert